Bug 2 - Asunder release tracking
Summary: Asunder release tracking
Status: CONFIRMED
Alias: None
Product: Asunder
Classification: Unclassified
Component: All (show other bugs)
Version: 2.7
Hardware: PC Linux
: enhancement
Assignee: Andrew Smith
URL: http://littlesvr.ca/asunder/downloads...
Depends on:
Blocks:
 
Reported: 2014-10-19 09:47 EDT by Andrew Smith
Modified: 2020-05-28 18:03 EDT (History)
7 users (show)

See Also:


Attachments

Description Andrew Smith 2014-10-19 09:47:40 EDT
Subscribe to this bug to get an email every time a new version of ISO Master is published.
Comment 1 Andrew Smith 2014-11-24 00:08:10 EST
Asunder 2.6 has been released, changelog:

- Added 64 translations generated by the OSTD ( http://littlesvr.ca/ostd ): Afrikaans, Amharic, Aragonese, Assamese, Azerbaijani, Belarusian, Bengali, Breton, Welsh, Dzongkha, Persian, Fulah, Faroese, Western, Irish, Gujarati, Hindi, Haitian, Armenian, Interlingua, Indonesian, Icelandic, Georgian, Kazakh, Centra, Korean, Kurdish, Kirghiz, Latin, Luxembourgish, Ganda, Lithuanian, Malagasy, Macedonian, Malayalam, Mongolian, Marathi, Malay, Burmese, Nepali, Occitan, Oriya, Panjabi, Pushto, Romanian, Kinyarwanda, Sinhala, Tamil, Telugu, Thai, Turkmen, Tagalog, Tatar, Uighur, Ukrainian, Urdu, Uzbek, Uzbek (Cyrillic), Vietnamese, Walloon, Wolof, Xhosa, Yiddish, and Zulu
- Updated Simplified Chinese, Czeck, Italian, and Norwegean translations.
Comment 2 Andrew Smith 2015-02-10 17:53:30 EST
Asunder 2.7 has been released, changelog:

- Added an option (enabled by default) to rip much faster.
Comment 3 Andrew Smith 2015-10-03 00:17:22 EDT
Asunder 2.8 has been released, changelog:

- Updates to Sweedish, Norwegian, Russian, and Danish translations.
- Fixed a couple of (unlikely) memory corruption bugs and some minor memory leaks.
Comment 4 Andrew Smith 2017-05-08 23:07:16 EDT
Asunder 2.9 has been released, changelog:

The following fixes were contributed by Gregory Margo:
- Work around cdparanoia's filename length limits
- Fixed bug where multiple CDDB entries would only show once
- Improved the refresh/lookup system to work much better with more complicated CDs
- Fixed FLAC progress scanner. Both to make the percentage more reliable and to prevent a possible crash
- Added feature to select/deselect all tracks by clicking on rip checkbox header
- Fixed autocomplete file loading
- Fixed several potential buffer overflow bugs
- Fixed some minor memory leaks
- Fixed race condition during abort
- Improved completion percentage feedback
- Added feature to make the artist and title columns resizable
The following fixes were contributed by Andreas Ronnquist:
- Moved the config file to ~/.config/asunder without breaking old configs
- Moved the autocomplete files to ~/.cache/asunder without breaking old caches
The following fix was contributed by Pierre Lestringant (whz):
- Fixed musepack and aac playlist generation
The following fix was contributed by Matthew (mw):
- Add the ALBUMARTIST tag to flac files when "Single artist" is not checked.
The following fix was contributed by Antony Gelberg:
- Fixed when the CD is ejected to avoid problems before a full rip/encode cycle is completed.
Comment 5 Andrew Smith 2017-11-19 16:48:44 EST
Asunder 2.9.2 has been released, changelog:

- Updates Swedish translation.
The following fixes were contributed by Gregory Margo:
- Fixed the wavpack and mpc encoders to include APEv2 metadata.
- Remove 'single genre' code that's been unused since 2010.
- Added features to automatically fix some common mistakes in CDDB entries.
The following fix was contributed by Andreas Ronnquist:
- Fixed a bug where the config file couldn't be created because its parent directory could not be created because it existed already and was a regular file.
Comment 6 Andrew Smith 2019-08-29 01:33:17 EDT
Asunder 2.9.4 has been releases, changelog:

- Updated Finnish and Swedish translations.
- Added support for joining artist and title in title field (thanks to Tom Bailey).
Comment 7 Andrew Smith 2019-10-21 08:16:20 EDT
Asunder 2.9.5 has been released. Changelog:

- Updated Catalan and Spanish translations.
The following was contributed by Felix Braun:
- Updated Opus support to have a smooth progress bar.
Comment 8 Andrew Smith 2020-05-28 16:03:55 EDT
Asunder 2.9.6 has been released, changelog:

- Changed the default CDDB server to gnudb.gnudb.org
- Asunder can now be more easily Flatpak-ed. Tanks to Kevin "Eonfge" Degeling for the help.
- Updated eo, it, pt, pt_BR, sq, and zh_CN translations.
- Updated config.guess and config.sub with the current latest to support (among other things) aarch64.

Note You need to log in before you can comment on or make changes to this bug.